gnutls_x509_crt_get_signature(3)

NAME
gnutls_x509_crt_get_signature - Returns the Certificate's signature

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_get_signature(gnutls_x509_crt_t cert, char * sig, size_t * sizeof_sig);

ARGUMENTS

gnutls_x509_crt_t cert
    should contain a gnutls_x509_crt_t structure

char * sig
    a pointer where the signature part will be copied (may be null).

size_t * sizeof_sig
    initially holds the size of sig

DESCRIPTION
This function will extract the signature field of a certificate.

RETURNS
On success, GNUTLS_E_SUCCESS is returned, otherwise a negative error value. and a negative value on error.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.